!> \file module_choix_antar15_LBq.f90
!! Ce module permet de choisir quels package on veut utiliser
!! 
!<

!> \namespace MODULE_CHOIX
!! Ce module permet de choisir quels package on veut utiliser
!! \author CatRitz
!! \date ...
!! @note Used modules
!! @note   - use lect_topo_ant_CISM_gen
!! @note   - use lect_clim_act_ant_gen
!! @note   - use climat_perturb_mod
!! @note   - use no_rsl
!! @note   - use isostasie_mod  
!! @note   - use deformation_mod_2lois  
!! @note   - use  prop_thermiques_ice
!! @note   - use eau_basale
!! @note   - use sliding_Bindschadler
!! @note   - use dragging_vit_bil_CISM_gen
!! @note   - use eq_ellip_sgbsv_mod 
!! @note   - use calving_frange
!! @note   - use equat_adv_diff_2D_vect     
!! @note   - use bmelt_seuil_prof
!! @note   - use fake_ant
!! @note   - use out_profile  
!! @note   - use out_cptr     
!! @note   - use out_hz       
!! @note   - use output_antarcti_mod
!! @note   - use printtable
!<
MODULE MODULE_CHOIX

!--------------Lecture topo ------------------------
! use lect_topo_heino      ! pour Heino
! use lect_topo_anteis    ! pour l'antarctique 40 km

use lect_topo_mismip3

!use lect_topo_ant_gen    ! read antarctic topo with .dat files
!use lect_topo_ant_CISM_gen
!use lect_topo_nord40    ! pour l'hemisphere nord 40 km
!use lect_topo_eurasie   ! pour l'eurasie  (toute resolutions)

!--------------Lecture climat ref ------------------
!use lect_clim_act_anteis

! use lect_clim_act_ant_gen
!use lect_clim_acc_T_ant_gen

! use lect_clim_act_nord40 ! pour l'hemisphere nord et l'eurasie
! use  climat_heino
 use  climat_mismip3

!--------------Lecture climat forcage---------------
!use climat_perturb_mod
!use climat_forcage_mod
!use climat_synthes_mod
!use climat_profil_mod
!use climat_regions_delta

! pas de differences locales de niveau marin
use no_rsl

! suivi des traceurs ou pas ?
!use tracer_mod
! attention tracer fait appel a un modele climat qui doit etre compatible avec celui choisi 
! dans modile choix.

use notracer_mod

!--------------Choix isostasie----------------------
!use isostasie_mod  ! module permettant de calculer la deflexion isostasique
use noisostasie_mod ! module pour ne pas avoir d'isostasie


!--------------Module Physique---------------------
!use deformation_mod        ! module concernant les lois de deformation
!use deformation_mod_2lois   ! module concernant les lois de deformation
use deformation_mod_2lois_isoth
!--------------Module propriete thermique de la glace
use  prop_thermiques_ice
! use prop_therm_ice_heino

! eau basale
use eau_basale

! sliding- dragging
! use module sliding_vitbal
! use sliding_Bindschadler
use no_sliding
! use sliding_dragging_heino    ! loi de glissement heino : mis dans diffusiv : 


use dragging_mismip3

! use dragging_vit_bil_LBq_gen
!use dragging_vitbil
! use dragging_hwatstream

!use dragging_hwat_cont

!use dragging_hwat_contmaj

! use dragging_vit_bil_CISM_gen
! use dragging_calc_beta           ! tourne en "no_spinup" qui contient les fake
!use dragging_prescr_beta
!use dragging_LGM
!use dragging_plastic_LGM
!------------ spinup -----------------------------------
use no_spinup            ! spinup=0 ou spinup=1 
! use spinup_vitbil      ! plusieurs variantes de spinup : inclue le dragging
                         ! enlever le use dragging dans ce cas l



! module concernant l'eq. elliptique (pour les streams et shelves)

! use eq_elliptique_mod ! ancienne version (remplimat-5)
use eq_ellip_sgbsv_mod ! nouvelle version juillet 2008

! calving
use no_calving 

! choix resolution de la conservation de la masse
!-----------------------------------------------
!use equat_adv_diff_2D           ! conservation masse avec advection-diffusion
use equat_adv_diff_2D_vect      ! le vecteur est maintenant dans l'appel

! le module en dessous n'est peut etre pas utile, les flux transversaux a 0 devraient suffire
!use equat_adv_diff_2D_paral      ! equat_adv_diff_2D_vect adapte a un domaine parallele (MISMIP)

!--------------Fusion basale------------------------
!use bmelt_ant_regions ! pour l'Antarctique avec rgions

!use bmelt_seuil_prof

! USE BMELT_NOR_REGIONS ! pour le nord avec rgions
! use BMELT_NOR_DEPTH   ! pour le nord avec profondeur d'eau


! fake -------fausses routines pour compatibilits
!  use fake_heino
! use fake_ant

use fake_mismip

! use fake_nord
!-------------- Outputs-----------------------------
!
use out_profile  !profils
!use out_cptr     ! fichier de reprise 
use out_hz       ! module de sorties snapshot dans un plan horizontal

!-----Suivi temporel
! use output_heminord_mod
 use output_antarcti_mod
! use output_heino
!-----debugage...
use printtable



end module module_choix
